<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>Services</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
        <DefineConstants>TRACE;NO_SQL</DefineConstants>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
        <DefineConstants>TRACE;NO_SQL;</DefineConstants>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Blazored.LocalStorage" Version="4.3.0-preview.1"/>
        <PackageReference Include="Microsoft.JSInterop" Version="8.0.14"/>
        <PackageReference Include="YamlDotNet" Version="11.2.1"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Model\Model.csproj"/>
    </ItemGroup>

</Project>
